Mandrake Linux Security Advisory : dhcp (MDKSA-2000:022-1)

High Nessus Plugin ID 61820


The remote Mandrake Linux host is missing one or more security updates.


All versions of the ISC DHCP client program, dhclient, are vulnerable to a root attack by a corrupt DHCP server. This version fixes the vulnerability. Versions of Linux Mandrake prior to 7.0, while including the ISC DHCP server, do not include the DHCP client and are therefore not subject to this vulnerability.

Update :

There was a problem with the post installation script for the updated packages. Please use the following packages instead.


Update the affected dhcp, dhcp-client and / or dhcp-relay packages.

Plugin Details

Severity: High

ID: 61820

File Name: mandrake_MDKSA-2000-022.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2012/09/06

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:dhcp, p-cpe:/a:mandriva:linux:dhcp-client, p-cpe:/a:mandriva:linux:dhcp-relay, cpe:/o:mandrakesoft:mandrake_linux:7.0, cpe:/o:mandrakesoft:mandrake_linux:7.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2000/08/25

Reference Information

MDKSA: 2000:022-1